#!/bin/sh

# --------------------------------------------------------------------------
# This is the script to create the unicode chars property table 
# Written by Dimitry Golubovsky (dimitry@golubovsky.org) as part
# of the Partial Unicode Support patch
#
# Adopted for use with GHC.
# License: see LICENSE.BSD3
#
# Adapted for Clean
#
# -------------------------------------------------------------------------

#	The script reads the file from the standard input,
#	and outputs C code into the standard output.
#	The C code contains the chars property table, and basic functions
#	to access properties.

#	Output the file header

echo "/*-------------------------------------------------------------------------"
echo "This is an automatically generated file: do not edit"
echo "Generated by $(basename $0) at $(date)"
echo "-------------------------------------------------------------------------*/"

# Define structures
cat WCsubst.c.pre

# Convert the stdin file to the C table
awk -f ubconfc.awk

# Output the C procedures code
cat WCsubst.c.post
